/*
 *	premiere scene pour le projet "Altitude"
 *		nouveau 9 fevrier 2022 - rue Ernest Renan
 */


#version 3.7;

global_settings {
		ambient_light rgb <0.09, 0.09, 0.09>
		assumed_gamma 1.0
		}

#include  "colors.inc"

/* ---------------------------------------------------- */

#include  "macros.inc"
#include  "common.inc"
#include  "reperes.inc"

#include  "WS/nbimg.inc"
#declare NormClock = clock/NbImg;


height_field {
        pgm "WS/timelapse.pgm" 
        smooth    // on
        translate <-0.5, 0, -0.5>
        scale  <19, 0.85, 10>
	texture {
		pigment { color rgb <0.50, 0.58, 0.50>  }
		finish {  diffuse 0.45 specular 0.21  }
		}
	translate y*0.05
       }

/* ---------------------------------------------------- */

object { Le_Sol }

sphere { 0, 25 pigment { color Gray10 } }

light_source { <12,  9,  -17>  color Gray70 }
light_source { <13, 14,  -18>  color White }
light_source { <14,  9,  -19>  color Gray70 }

#local VX = 13.97;

#local XC = 19 - (VX*NormClock);
#local YC = 1.8 + Cos_01(NormClock);
#local ZC = -0.8 + (2*NormClock);

#local XL = XC - 7.5;
#local YL = 1.333 - (NormClock * 1.333);
#local ZL = sqrt(NormClock + 0.05);

#declare CamLoc = <XC, YC,  ZC>;
#declare CamLat = <XL, YL,  ZL>;

#fopen  LOG "WS/log.timelapse" append
#write (LOG, XC, " ", YC, " ",ZC, " ",XL, " ",YL, " ",ZL, " ", "\n")
#fclose LOG


// object { Repere translate CamLat + <0, 0, 0.25> }

camera	{
	location	CamLoc
	look_at		CamLat
	angle		54
	}

/* ---------------------------------------------------- */
